#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        A textedit with PIM-specific features
Name:           kpimtextedit
Version: 20.12.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Designer)
 
BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Emoticons)
BuildRequires:  cmake(KF5Sonnet)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(Grantlee5)

BuildRequires:  cmake(KF5SyntaxHighlighting)

%description
A textedit with PIM-specific features.

%files -f %name.lang
%_kf5_categoriesdir/kpimtextedit.categories
%_qt5_plugindir/designer/kpimtexteditwidgets.so

#------------------------------------------------------------------------------

%define kf5pimtextedit_major 5
%define libkf5pimtextedit %mklibname kf5pimtextedit %{kf5pimtextedit_major}

%package -n %libkf5pimtextedit
Summary:        A textedit with PIM-specific features
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5pimtextedit
A textedit with PIM-specific features

%files -n %libkf5pimtextedit
%_kf5_libdir/libKF5PimTextEdit.so.%{kf5pimtextedit_major}{,.*}

#--------------------------------------------------------------------

%define kf5pimtextedit_devel %mklibname kf5pimtextedit -d

%package -n %kf5pimtextedit_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5pimtextedit = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5pimtextedit_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5pimtextedit_devel
%_kf5_includedir/KPIMTextEdit/
%_kf5_includedir/kpimtextedit_version.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5PimTextEdit/
%_kf5_mkspecsdir/qt_KPIMTextEdit.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Fri Dec 11 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1655651
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1644036
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633852
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1627095
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1614963
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604159
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596897
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584543
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1568173
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559362
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1539929
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513332
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1466990
- New version 19.12.0
- New version 19.11.90

* Fri Nov 15 2019 daviddavid <daviddavid> 19.08.3-3.mga8
+ Revision: 1460038
- rebuild again for arm

* Sun Nov 10 2019 daviddavid <daviddavid> 19.08.3-2.mga8
+ Revision: 1458992
- rebuild for arm

* Tue Nov 05 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1457938
- New version 19.08.3

* Thu Sep 26 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1446639
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1425030
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390485
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1387692
- New version 19.03.90

* Sun Mar 31 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1382771
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375668
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365608
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356544
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1339550
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 18.08.3-1.mga7
+ Revision: 1332780
- New version 18.08.3

* Tue Nov 20 2018 daviddavid <daviddavid> 18.08.2-2.mga7
+ Revision: 1332285
- move the designer plugin into the main pkg

* Thu Nov 01 2018 neoclust <neoclust> 18.08.2-1.mga7
+ Revision: 1327434
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1298635
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1229043
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1201930
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1194952
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1186491
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 17.08.0-1.mga7
+ Revision: 1143083
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1136816
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 17.04.3-2.mga7
+ Revision: 1133585
- Fix for new find_lang

* Tue Jul 25 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1130699
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090113
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076857
- New version 16.12.0

* Fri Dec 09 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1073580
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067367
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061430
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050693
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047337
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040094
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012584
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004373
- New version 16.04.0

* Tue Mar 29 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 996384
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991216
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987486
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922654
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911959
- New version 15.12.0

* Tue Nov 24 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905707
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901153
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890634
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880446
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865964
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863779
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861777
- New version 15.07.90

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 858543
- imported package kpimtextedit

